/* -------------------------------------------------- */
/* CSS RESPONSIVO */
/* -------------------------------------------------- */

/* MOBILE */
header {
    background-color: var(--bg-color-primary);
    color: var(--text-color-primary);
    border-bottom: solid 1px var(--bg-color-quaternary);
    position: fixed;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10;
    top: 0;

    transition:
        transform .35s ease,
        opacity .35s ease;
}

body.video-viewer header{
    transform: translateY(-100%);
    opacity: 0;
    pointer-events: none;
}

.header-line {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 1200px;
    height: 7dvh;
    overflow: hidden;
}

.header-line img {
    height: 7dvh;
    width: 16dvh;
    object-fit: cover;
    object-position: center 52.5%;
}

#iconMenu,
#iconNotification {
    width: 7dvh;
    height: 7dvh;
    font-size: 1.5em;
    display: block;
    align-content: center;
    text-align: center;
}






#nav-placeholder {
    display: flex;
    width: 100%;
    min-height: 60px;
    background-color: #000;
    transition: height .35s ease,
                min-height .35s ease,
                opacity .35s ease;
}

body.video-viewer #nav-placeholder{
    min-height: 0;
    height: 0;
    opacity: 0;
    overflow: hidden;
}

.nav-bar {
    position: fixed;
    background-color: rgba(0, 0, 0, 0.80);
    z-index: 1000;
    height: calc(100% - (7dvh + 1px));
    width: 100%;
    bottom: 0;

    visibility: hidden;
    opacity: 0;
    pointer-events: none;

    transition: opacity 0.25s ease;
}

.nav-bar.active {
    visibility: visible;
    opacity: 1;
    pointer-events: auto;
}

.nav-column {
    background-color: var(--bg-color-tertiary);
    min-height: 100%;
    width: fit-content;
    padding-right: 1em;
}

.nav-line {
    display: flex;
    flex-direction: row;
    gap: 1em;
    border-bottom: 1px solid var(--text-color-primary);
    margin: 0 1em;
    padding: 1.5em 0;
}

.nav-line p {
    color: var(--text-color-primary);
    font-size: 1.2em;
    font-weight: 700;
}








.nav-container {
    background-color: var(--bg-color-primary);
    color: var(--text-color-primary);
    border-top: solid 1px var(--bg-color-quaternary);
    position: fixed;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10;
    bottom: 0;
}

.nav-row {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    max-width: 1200px;
    height: 7dvh;
    overflow: hidden;
}

.nav-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    gap: 0.5em;
}

.nav-item i {
    font-size: 1.2em;
}

.nav-item p {
    color: var(--text-color-primary);
    font-size: 0.7em;
}




/* -------------------------------------------------- */
/* NOTIFICAÇÕES */
/* -------------------------------------------------- */

.notification-wrapper {
    position: relative;
    width: 7dvh;
    height: 7dvh;
    display: flex;
    align-items: center;
    justify-content: center;
}

#notificationBadge {
    position: absolute;
    top: 1.2dvh;
    right: 1.2dvh;

    min-width: 18px;
    height: 18px;

    background: red;
    color: white;

    border-radius: 999px;

    display: none;
    align-items: center;
    justify-content: center;

    font-size: 11px;
    font-weight: bold;

    padding: 0 5px;

    z-index: 20;
}

/* -------------------------------------------------- */
/* POPUP */
/* -------------------------------------------------- */

#notificationPopup {
    position: fixed;

    top: 8dvh;
    right: 10px;

    width: 320px;

    background: #1a1a1a;

    border: 1px solid #333;

    border-radius: 12px;

    overflow: hidden;

    z-index: 99999;

    box-shadow: 0 0 20px rgba(0,0,0,0.5);
}

.notification-item {
    padding: 15px;

    border-bottom: 1px solid #333;
}

.notification-item:last-child {
    border-bottom: none;
}

.notification-item h3 {
    color: white;
    font-size: 15px;
    margin-bottom: 6px;
}

.notification-item p {
    color: #bbb;
    font-size: 13px;
    line-height: 1.4;
}




/* TABLETS */
@media (max-width: 600px) {
}

/* LAPTOPS */
@media (min-width: 768px) {
}

/* DESKTOP */
@media (min-width: 992px) {
}

/* TELAS MUITO GRANDES */
@media (min-width: 1200px) {
}